Subject: Re: [PATCH] Fix loopback over bridge port

From: "David S. Miller" <[email-masked]>
Date: Thu, 1 Jan 2004 12:38:14 -0800

On Sat, 27 Dec 2003 15:36:46 +0100
Bart De Schuymer <[email-masked]> wrote:

> I think the code (in net/ipv4/ip_output.c::ip_dev_loopback_xmit())
> __skb_pull(newskb, newskb->nh.raw - newskb->data);
> is useless, as data always points to the network header at that moment. But
> that's not really my territory...

I think you're right about this, but the code there doesn't cause any
problems either, effectively it's a NOP.

One could test out whether you and I are right or not by replacing the
__skb_pull() call with BUG_TRAP(skb->nh.raw == skb->data)